%global minorversion 1.0
%global app_org_name org.xfce.PanelProfiles

Name:		xfce4-panel-profiles
Version:	1.0.14
Release:	2
Summary:	A simple application to manage Xfce panel layouts
License:	GPLv3
URL:		https://git.xfce.org/apps/xfce4-panel-profiles/about/
Source0:	https://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
Patch0:         build-Get-rid-of-intltool.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libappstream-glib
BuildRequires:	desktop-file-utils

Requires:	xfce4-panel
Provides:	xfpanel-switch = %{version}-%{release}

%description
A simple application to manage Xfce panel layouts

With the modular Xfce Panel, a multitude of panel layouts can be created. 
This tool makes it possible to backup, restore, import, and export these panel layouts.

%prep
%autosetup -p1

%build
#cannot use configure macro here
./configure --prefix=%{_prefix}

%make_build

%install
%make_install

%find_lang %{name}

chmod -x %{buildroot}%{_datadir}/%{name}/layouts/*
rm -f %{buildroot}/%{_docdir}/%{name}/INSTALL
rm -f %{buildroot}%{_docdir}/%{name}/COPYING

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{app_org_name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{app_org_name}.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc NEWS AUTHORS README.md
%{_mandir}/man1/%{name}*
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{app_org_name}.desktop
%{_datadir}/metainfo/%{app_org_name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{app_org_name}.*

%changelog
* Thu Aug 15 2024 zhangxianting <zhangxianting@uniontech.com> - 1.0.14-2
- fix check error, multiple keys Keywords

* Mon Jan 15 2024 zhangxingrong <zhangxingrong@uniontech.com> - 1.0.14-1
- upgrade to 1.0.14

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.0.13-1
- Update to 1.0.13

* Fri Jul 17 2020 <dillon.chen@turbolinux.com.cn> - 1.0.10-1
- Init package
